Subject: ls and dir not working

From: Craig Limber <[email-masked]>
Date: Wed, 26 Mar 1997 11:25:35 -0800 (PST)

Hi there;
 
This is a summary to the solution with my ls problem where ls would work
but dir did not.
 
System: wu-ftpd 2.4 and Solaris 2.5.1 on a sparc.
 
It turns out ls needed more libraries than I had installed.  There were some
complaints in the log file and when I ran ldd on ls I got:
        libc.so.1 =>     /usr/lib/libc.so.1
        libdl.so.1 =>    /usr/lib/libdl.so.1
I installed these libraries and the complaints in the log stopped but
dir still wouldn't work.
 
However, it turns out, MORE libraries are needed.  I should have gone with
my first instinct and ran truss like a list member suggested.  There were
two more libraries to be installed.  Once done, it worked.
 
Thanks.
 
Craig
[email-masked]